# Installing node-exporter natively on an OpenShift Cluster

If you would like to run node-exporter natively on your OpenShift cluster you can use the playbook to deploy it to all the nodes in your cluster.

Run the provided Ansible playbook on your OpenShift bastion host and point it to your Ansible hosts file for your OpenShift installation (default location: `/etc/ansible/hosts`).

This will install the `node_exporter` binary in all hosts that are in the `nodes` group in the referenced hosts file. It will also set up a system service to automatically start the node_exporter.

Finally the playbook configures the firewall on all nodes to allow for inbound traffic on port 9100.

[source,bash]
----
ansible-playbook -i /etc/ansible/hosts install_node-exporter.yml
----
